<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/color_FFF1F2F5">

    <androidx.appcompat.widget.AppCompatImageView
        android:layout_width="0dp"
        android:layout_height="0dp"
        app:layout_constraintDimensionRatio="375:400"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent"
        app:srcCompat="@drawable/account_register_top_bg" />

    <com.adealink.weparty.commonui.widget.CommonTopBar
        android:id="@+id/top_bar"
        android:layout_width="match_parent"
        android:layout_height="@dimen/common_top_bar_height"
        app:bar_background="@color/transparent"
        app:layout_constraintTop_toTopOf="parent" />

    <androidx.appcompat.widget.AppCompatTextView
        android:id="@+id/tv_nice"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginHorizontal="22dp"
        android:layout_marginTop="20dp"
        android:ellipsize="end"
        android:gravity="start"
        android:includeFontPadding="false"
        android:text="@string/account_register_nice"
        android:textColor="@color/color_FF1D2129"
        android:textSize="48sp"
        app:layout_constrainedWidth="true"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@id/top_bar" />

    <androidx.appcompat.widget.AppCompatTextView
        android:id="@+id/tv_complete_userinfo"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginHorizontal="22dp"
        android:layout_marginTop="6dp"
        android:ellipsize="end"
        android:gravity="start"
        android:includeFontPadding="false"
        android:text="@string/account_register_complete_userinfo"
        android:textColor="@color/color_FF1D2129"
        android:textSize="24sp"
        app:layout_constrainedWidth="true"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@id/tv_nice" />

    <androidx.core.widget.NestedScrollView
        android:id="@+id/sv_content"
        android:layout_width="match_parent"
        android:layout_height="0dp"
        android:orientation="vertical"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@id/tv_complete_userinfo">

        <androidx.constraintlayout.widget.ConstraintLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:paddingBottom="60dp">

            <!--头像-->
            <com.adealink.weparty.commonui.imageview.AvatarView
                android:id="@+id/iv_avatar"
                android:layout_width="120dp"
                android:layout_height="120dp"
                android:layout_marginTop="50dp"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toTopOf="parent"
                app:roundingBorderColor="@color/white"
                app:roundingBorderWidth="1dp" />

            <androidx.appcompat.widget.AppCompatImageView
                android:id="@+id/iv_modify_avatar"
                android:layout_width="32dp"
                android:layout_height="32dp"
                app:layout_constraintBottom_toBottomOf="@id/iv_avatar"
                app:layout_constraintEnd_toEndOf="@id/iv_avatar"
                app:srcCompat="@drawable/account_register_modify_avatar_ic" />

            <!--昵称-->
            <androidx.constraintlayout.widget.ConstraintLayout
                android:id="@+id/cl_nick_name"
                android:layout_width="match_parent"
                android:layout_height="52dp"
                android:layout_marginHorizontal="22dp"
                android:layout_marginTop="16dp"
                android:background="@drawable/account_register_complete_input_bg"
                android:paddingHorizontal="16dp"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toBottomOf="@id/iv_avatar">

                <androidx.appcompat.widget.AppCompatEditText
                    android:id="@+id/et_name_input"
                    android:layout_width="0dp"
                    android:layout_height="0dp"
                    android:background="@null"
                    android:fontFamily="@font/poppins_semibold"
                    android:gravity="start|center_vertical"
                    android:hint="@string/account_register_input_nickname_hint"
                    android:includeFontPadding="false"
                    android:textColor="@color/color_FF1D2129"
                    android:textColorHint="@color/color_FFC9CDD4"
                    android:textSize="16sp"
                    app:layout_constraintBottom_toBottomOf="parent"
                    app:layout_constraintEnd_toEndOf="parent"
                    app:layout_constraintHorizontal_bias="0"
                    app:layout_constraintStart_toStartOf="parent"
                    app:layout_constraintTop_toTopOf="parent" />

            </androidx.constraintlayout.widget.ConstraintLayout>

            <!--生日-->
            <androidx.constraintlayout.widget.ConstraintLayout
                android:id="@+id/cl_birthday"
                android:layout_width="match_parent"
                android:layout_height="52dp"
                android:layout_marginHorizontal="22dp"
                android:layout_marginTop="22dp"
                android:background="@drawable/account_register_complete_input_bg"
                android:paddingHorizontal="16dp"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toBottomOf="@id/cl_nick_name">

                <androidx.appcompat.widget.AppCompatTextView
                    android:id="@+id/tv_birthday"
                    android:layout_width="0dp"
                    android:layout_height="0dp"
                    android:background="@null"
                    android:fontFamily="@font/poppins_semibold"
                    android:gravity="start|center_vertical"
                    android:hint="@string/account_register_input_birthday_hint"
                    android:includeFontPadding="false"
                    android:textColor="@color/color_FF1D2129"
                    android:textColorHint="@color/color_FFC9CDD4"
                    android:textSize="16sp"
                    app:layout_constraintBottom_toBottomOf="parent"
                    app:layout_constraintEnd_toEndOf="parent"
                    app:layout_constraintHorizontal_bias="0"
                    app:layout_constraintStart_toStartOf="parent"
                    app:layout_constraintTop_toTopOf="parent" />

                <androidx.appcompat.widget.AppCompatImageView
                    android:id="@+id/iv_birthday_edit"
                    android:layout_width="8dp"
                    android:layout_height="8dp"
                    app:layout_constraintBottom_toBottomOf="parent"
                    app:layout_constraintEnd_toEndOf="parent"
                    app:layout_constraintTop_toTopOf="parent"
                    app:srcCompat="@drawable/account_register_birthday_edit_ic" />

            </androidx.constraintlayout.widget.ConstraintLayout>

        </androidx.constraintlayout.widget.ConstraintLayout>

    </androidx.core.widget.NestedScrollView>


    <com.adealink.weparty.commonui.widget.CommonButton
        android:id="@+id/btn_next"
        android:layout_width="0dp"
        android:layout_height="@dimen/common_button_height"
        android:layout_marginHorizontal="22dp"
        android:layout_marginBottom="@dimen/common_button_margin_bottom"
        app:text="@string/account_register_next"
        app:textColor="@color/white"
        app:textSize="16sp"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent" />


</androidx.constraintlayout.widget.ConstraintLayout>